Name:           x2godesktopsharing
Version:        3.2.0.0
Release:        0.0x2go1%{?dist}
Summary:        Share X11 desktops with other users via X2Go

%if 0%{?suse_version}
Group:          Production/Networking/Remote Desktop
License:        GPL-2.0+
%else
Group:          Applications/Communications
License:        GPLv2+
%endif
URL:            https://www.x2go.org
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc

%if 0%{?suse_version} && 0%{?suse_version} <= 1130
BuildRequires:  update-desktop-files
%endif

BuildRequires:  desktop-file-utils

%if 0%{?suse_version}
%if 0%{?suse_version} >= 1315
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtsvg-devel
BuildRequires:  libqt5-linguist
%else
BuildRequires:  libqt4-devel
BuildRequires:  qt-devel
%endif
%else
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-linguist
BuildRequires:  qt5-rpm-macros
%endif

# for useradd/groupadd
# OpenSUSE 12.3 and SLE{S,D} 12 (has suse_version 1315) switched to shadow.
%if 0%{?suse_version} >= 1230
BuildRequires:  shadow
Requires(pre):  shadow
%else
# Older SuSE versions (prior to 12.3) only have pwdutils.
%if 0%{?suse_version}
BuildRequires:  pwdutils
Requires(pre):  pwdutils
# Fedora, EPEL and RedHat use shadow-utils.
%else
BuildRequires:  shadow-utils
Requires(pre):  shadow-utils
%endif
%endif

%if 0%{?fedora} || 0%{?rhel}
# For some reason qt(4)-dev doesn't depend upon redhat-rpm-config,
# but the GCC spec file is still used, which leads to gcc failing
# due to a missing annobin plugin during compilation.
# Let's build-depend upon redhat-rpm-config for now manually.
BuildRequires:  redhat-rpm-config
%endif

Requires:       hicolor-icon-theme
Requires:       x2goserver >= 4.0.0.0

%if 0%{?suse_version}
Requires:       procps
%else
%if 0%{?el6}
Requires:       sysvinit-tools
%else
Requires:       procps-ng
%endif
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

X2Go Desktop Sharing is an X2Go add-on tool that allows a user to
grant other X2Go users access to the current session (shadow session
support). The current session may be an X2Go session itself or simply
a local X11 session.

%prep
%setup -q


%build
%if 0%{?suse_version} && 0%{?suse_version} < 1315
lrelease x2godesktopsharing.pro
qmake QMAKE_CFLAGS+="%{optflags}" QMAKE_CXXFLAGS+="%{optflags}" QMAKE_STRIP=":" x2godesktopsharing.pro
%else
lrelease-qt5 x2godesktopsharing.pro
qmake-qt5 QMAKE_CFLAGS+="%{optflags}" QMAKE_CXXFLAGS+="%{optflags}" QMAKE_STRIP=":" x2godesktopsharing.pro
%endif
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/x2go/versions
cp -p %{name} %{buildroot}%{_bindir}/
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop
mkdir -p %{buildroot}%{_datadir}/%{name}/icons
install -p -m 644 icons/%{name}.xpm %{buildroot}%{_datadir}/%{name}/icons/%{name}.xpm
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,64x64,128x128}/apps
install -p -m 644 icons/128x128/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -p -m 644 icons/16x16/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 icons/64x64/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -p -m 644 icons/32x32/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m 644 VERSION.x2godesktopsharing %{buildroot}%{_datadir}/x2go/versions/VERSION.x2godesktopsharing
cp -rp man %{buildroot}%{_datadir}/
%if 0%{?suse_version} && 0%{?suse_version} <= 1130
%suse_update_desktop_file -n %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif


%pre
# Needed for sharing a desktop with another user
getent group x2godesktopsharing >/dev/null || groupadd -r x2godesktopsharing

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root)
%doc debian/changelog
%doc debian/copyright
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%dir %{_datadir}/x2go
%dir %{_datadir}/x2go/versions
%{_datadir}/x2go/versions/VERSION.x2godesktopsharing
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_mandir}/man1/%{name}.1.gz


%changelog
